Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1239516 - galera: FTBFS in rawhide
Summary: galera: FTBFS in rawhide
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: galera
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ryan O'Hara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 20:57 UTC by Dennis Gilmore
Modified: 2015-09-30 12:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-08 15:43:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2015-07-05 20:57 UTC, Dennis Gilmore
no flags Details
root.log (deleted)
2015-07-05 20:57 UTC, Dennis Gilmore
no flags Details
state.log (deleted)
2015-07-05 20:57 UTC, Dennis Gilmore
no flags Details
patch + spec changeset to unbreak on aarch64 and ppc64(le) (deleted)
2015-09-30 12:42 UTC, Marcin Juszkiewicz
no flags Details | Diff

Description Dennis Gilmore 2015-07-05 20:57:19 UTC
Your package galera failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10089846

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 20:57:20 UTC
Created attachment 1046866 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 20:57:21 UTC
Created attachment 1046867 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 20:57:22 UTC
Created attachment 1046868 [details]
state.log

Comment 4 Ryan O'Hara 2015-07-06 16:39:02 UTC
I decided to rebase to the latest upstream release, which built for me locally. A 'fedpkg build' in rawhide is now failing to find the pthread library, which is strange because it should be part of glibc.

Comment 5 Ryan O'Hara 2015-07-08 14:07:07 UTC
(In reply to Ryan O'Hara from comment #4)
> I decided to rebase to the latest upstream release, which built for me
> locally. A 'fedpkg build' in rawhide is now failing to find the pthread
> library, which is strange because it should be part of glibc.

OK. I found and fixed the problem with pthread library in latest upstream release, but the original problem where is fails the gu_hash_test is still present. I am leaning towards excluding arm builds until this is fixed.

Comment 6 Ryan O'Hara 2015-07-08 15:43:01 UTC
I've disabled ARM builds for galera in rawhide to get past this. Bug for ExcludeArch is here:

https://bugzilla.redhat.com/show_bug.cgi?id=1241164

Comment 7 Marcin Juszkiewicz 2015-09-30 12:42:00 UTC
Created attachment 1078636 [details]
patch + spec changeset to unbreak on aarch64 and ppc64(le)

To get it build properly on aarch64 and ppc64(le) -mtune=native needs to be removed as this switch is not available on those architectures.


Note You need to log in before you can comment on or make changes to this bug.